Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.webcomp.client
Class WebCompLoadParams

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.tibco.webcomp.client.WebCompLoadParams

    public final class WebCompLoadParams

extends com.google.gwt.core.client.JavaScriptObject

Holds the parameters used to specify how Web Components load.

©2014 TIBCO Software Inc.

Since:
  3.0.0

Nested Class Summary
`static class` | `WebCompLoadParams.ParamName` Parameter names used to specify how Web Components load.

Constructor Summary
`protected` | `WebCompLoadParams()`

Method Summary
`static WebCompLoadParams` | `create()`
`java.lang.String` | `getParam(WebCompLoadParams.ParamName param)` Gets a param value.
`void` | `setParam(WebCompLoadParams.ParamName param, java.lang.String value)` Sets a param value.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebCompLoadParams

    protected WebCompLoadParams()

Method Detail

### create

    public static final WebCompLoadParams create()

  Returns:
    an instance of this type

### getParam

    public java.lang.String getParam(WebCompLoadParams.ParamName param)

  Gets a param value.

  Parameters:
    `the` - param name
  Returns:
    the param value

### setParam

    public void setParam(WebCompLoadParams.ParamName param,
                         java.lang.String value)

  Sets a param value.

  Parameters:
    `param` - the param name
    `value` - the param value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.